Magick++: Magick::ChannelStatistics Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::ChannelStatistics Class Reference

`#include <Statistic.h>`

## Public Member Functions
| ChannelStatistics (void)
| ChannelStatistics (const ChannelStatistics &channelStatistics_)
| ~ChannelStatistics (void)
double | area () const
PixelChannel | channel (void) const
size_t | depth () const
double | entropy () const
bool | isValid () const
double | kurtosis () const
double | maxima () const
double | mean () const
double | minima () const
double | skewness () const
double | standardDeviation () const
double | sum () const
double | sumCubed () const
double | sumFourthPower () const
double | sumSquared () const
double | variance () const
| ChannelStatistics (const PixelChannel channel_, const MagickCore::ChannelStatistics *channelStatistics_)

## Detailed Description

Definition at line 132 of file Statistic.h.

## Constructor & Destructor Documentation

## ◆ ChannelStatistics() [1/3]

Magick::ChannelStatistics::ChannelStatistics | ( | void |  | ) |

Definition at line 279 of file Statistic.cpp.

## ◆ ChannelStatistics() [2/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const ChannelStatistics & | channelStatistics_ | ) |

Definition at line 298 of file Statistic.cpp.

## ◆ ~ChannelStatistics()

Magick::ChannelStatistics::~ChannelStatistics | ( | void |  | ) |

Definition at line 318 of file Statistic.cpp.

## ◆ ChannelStatistics() [3/3]

Magick::ChannelStatistics::ChannelStatistics | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelStatistics * | channelStatistics_
| ) |  |

Definition at line 402 of file Statistic.cpp.

## Member Function Documentation

## ◆ area()

double Magick::ChannelStatistics::area | ( | void |  | ) | const

Definition at line 322 of file Statistic.cpp.

## ◆ channel()

Magick::PixelChannel Magick::ChannelStatistics::channel | ( | void |  | ) | const

Definition at line 327 of file Statistic.cpp.

## ◆ depth()

size_t Magick::ChannelStatistics::depth | ( | void |  | ) | const

Definition at line 332 of file Statistic.cpp.

## ◆ entropy()

double Magick::ChannelStatistics::entropy | ( |  | ) | const

Definition at line 337 of file Statistic.cpp.

## ◆ isValid()

bool Magick::ChannelStatistics::isValid | ( | void |  | ) | const

Definition at line 342 of file Statistic.cpp.

## ◆ kurtosis()

double Magick::ChannelStatistics::kurtosis | ( |  | ) | const

Definition at line 347 of file Statistic.cpp.

## ◆ maxima()

double Magick::ChannelStatistics::maxima | ( |  | ) | const

Definition at line 352 of file Statistic.cpp.

## ◆ mean()

double Magick::ChannelStatistics::mean | ( |  | ) | const

Definition at line 357 of file Statistic.cpp.

## ◆ minima()

double Magick::ChannelStatistics::minima | ( |  | ) | const

Definition at line 362 of file Statistic.cpp.

## ◆ skewness()

double Magick::ChannelStatistics::skewness | ( |  | ) | const

Definition at line 367 of file Statistic.cpp.

## ◆ standardDeviation()

double Magick::ChannelStatistics::standardDeviation | ( |  | ) | const

Definition at line 372 of file Statistic.cpp.

## ◆ sum()

double Magick::ChannelStatistics::sum | ( |  | ) | const

Definition at line 377 of file Statistic.cpp.

## ◆ sumCubed()

double Magick::ChannelStatistics::sumCubed | ( |  | ) | const

Definition at line 382 of file Statistic.cpp.

## ◆ sumFourthPower()

double Magick::ChannelStatistics::sumFourthPower | ( |  | ) | const

Definition at line 387 of file Statistic.cpp.

## ◆ sumSquared()

double Magick::ChannelStatistics::sumSquared | ( |  | ) | const

Definition at line 392 of file Statistic.cpp.

## ◆ variance()

double Magick::ChannelStatistics::variance | ( |  | ) | const

Definition at line 397 of file Statistic.cpp.

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp